import { getThirdUserPlatForm } from "../../api/request";
import create from "dd-store";
create.Component({
  mixins: [],
  data: {
    $data: null,
    userInfo: {},
    relatedAppList: [],
    relatedAppPlatformList: []
  },
  props: {},
  didMount() {
    this.setData({
      userInfo: JSON.parse(getApp().globalData.userInfo)
    });
    this.getDate();
  },
  didUpdate() {
    if (this.$store.data.relatedAppNeedUpdate) {
      this.$store.data.relatedAppNeedUpdate = false;
      this.update();
      this.getDate();
    }
  },
  didUnmount() { },
  methods: {
    getDate() {
      getThirdUserPlatForm().then(res => {
        let relatedAppPlatformList = [];
        res.data.data.forEach(item => {
          relatedAppPlatformList.push(item.platform);
        });
        this.setData({
          relatedAppList: res.data.data,
          relatedAppPlatformList: relatedAppPlatformList
        });
      });
    },
    preventSort() {
      return false;
    },
    bindingOutlook() {
      dd.navigateTo({ url: "./../bindingOutlook/bindingOutlook" });
    }
  }
});
