import {
  getOutlookUrl,
  authorizationCodeReplacementToken
} from "../../api/request";
import create from "dd-store";
create.Page({
  data: {
    $data: null,
    url: ""
  },
  onLoad() {
    this.webViewContext = dd.createWebViewContext("web-view-1");
    let data = `${getApp().globalData.userid},${dd.corpId}`;
    getOutlookUrl(data).then(res => {
      this.setData({
        url: res.data.data
      });
    });
  },
  test(e) {
    const code = e.detail.code;
    console.log(code);
    const data = {
      code: code,
      state: `${getApp().globalData.userid},${dd.corpId}`
    };
    authorizationCodeReplacementToken(data).then(res => {
      if (res.data.data) {
        this.$store.data.relatedAppNeedUpdate = true;
        this.update();
        dd.navigateBack({
          delta: 1
        });
      }
    });
  }
});
